﻿var logo_data;                      // 0 = available, 1 = active, 2 = choosen
var logo_data_maximum;              // Maximum number of logos
var logo_data_color_maximum = 7;    // Maximum colors in a single logo
var logo_data_correct = 0;          // Number of logo colors correct
var logo_data_score_string_1;       // Text score page
var logo_data_score_string_2;       // Text score page
var logo_data_score_string_3;       // Text score page
var logo_data_score_string_4;       // Text score page
var logo_data_tries = 0;            // Number of tries
var logo_data_target = 0;           // Number of succesfull guesses to be reached
var logo_data_button_string_1 = ""; // Text button restart
var logo_data_button_string_2 = ""; // Text button next level

function logoDataInit() {
    "use strict";

    logo_data_score_string_1 = " BRANDS<br>IN<br> ";
    logo_data_score_string_2 = " TURNS<br/>";
    logo_data_score_string_3 = "ALL<br>";
    logo_data_score_string_4 = " BRANDS<br>CORRECT<br/>";
    logo_data_button_string_1 = "START<br>AGAIN";
    logo_data_button_string_2 = "NEXT<br>LEVEL";
    // 0 = not used, 1 = used, 2 = ok
    logo_data = [
        [0, "IMDb", "X", 230, 185, 30],
        [0, "GILLETTE", "X", 12, 77, 162],
        [0, "CHEVROLET", "X", 255, 224, 134],
        [0, "CADBURY", "F", 73, 47, 146],
        [0, "CITROEN", "X", 215, 23, 47],
        [0, "DAIHATSU", "X", 235, 28, 34],
        [0, "DATSUN", "X", 198, 37, 43, 43, 48, 104],
        [0, "GMAIL", "X", 212, 73, 60, 179, 49, 33],
        [0, "HONDA", "X", 255, 0, 0],
        [0, "GROLSCH", "X", 73, 147, 68],
        [0, "HYUNDAI", "X", 0, 56, 168],
        [0, "JAGUAR", "X", 86, 97, 101],
        [0, "MASERATI", "X", 226, 26, 34, 12, 46, 89],
        [0, "ROLLS_ROYCE", "X", 0, 73, 144],
        [0, "SUZUKI", "X", 237, 27, 36, 0, 89, 169],
        [0, "PEUGEOT", "X", 1, 81, 155],


        [0, "SUBARU", "X", 0, 179, 230, 34, 41, 109],
        [0, "YOU_TUBE", "X", 238, 62, 62],
        [0, "NASA", "X", 0, 102, 178, 236, 28, 36],

        [0, "AMAZON", "X", 250, 155, 2, 0, 0, 0],
        [0, "BUICK", "X", 194, 50, 83, 7, 63, 90],
        [0, "DAEWOO", "X", 40, 22, 111],

// Goed genoeg
        [0, "CADILLAC", "X", 239, 203, 89, 135, 28, 45, 59, 88, 167],
        [0, "CANON", "X", 215, 0, 41],
        [0, "CATERPILLAR", "X", 254, 196, 14, 0, 0, 0],
        [0, "CHROME", "X", 255, 55, 53, 65, 174, 57, 250, 202, 14],
        [0, "DELL", "C", 0, 131, 202],
        [0, "DODGE", "X", 225, 20, 24],
        [0, "DOMINO'S_PIZZA", "F", 222, 41, 57, 0, 123, 173],
        [0, "FEDEX", "X", 49, 34, 129, 234, 98, 20],
        [0, "FERRARI", "X", 255, 242, 0, 0, 154, 78, 237, 28, 36, 0, 0, 0],
        [0, "FORD", "X", 0, 67, 119],
        [0, "GMC", "X", 163, 22, 12],
        [0, "GOOGLE", "I", 73, 146, 246, 236, 78, 60, 251, 196, 5, 59, 177, 93],
        [0, "HEINZ", "X", 230, 12, 0],
        [0, "ING", "X", 255, 98, 5, 0, 0, 95],
        [0, "JEEP", "X", 72, 95, 43],
        [0, "JOHN_DEER", "X", 53, 124, 42, 255, 222, 0],
        [0, "LAMBORGHINI", "X", 249, 206, 92],
        [0, "LAND_ROVER", "X", 0, 101, 56],
        [0, "LENOVO", "C", 7, 72, 136],
        [0, "LG", "X", 165, 0, 52],
        [0, "MASTERCARD", "X", 204, 0, 1, 254, 153, 0],
        [0, "MERCEDES_BENZ", "X", 149, 24, 22],
        [0, "MITSUBISHI", "X", 224, 0, 36],
        [0, "MOTOROLA", "X", 66, 121, 189],
        [0, "NICKELODEON", "X", 244, 126, 32],
        [0, "NIKON", "X", 241, 225, 23],
        [0, "NISSAN", "X", 235, 42, 47, 34, 78, 146],
        [0, "PEPSI", "X", 34, 177, 76, 0, 72, 131],
        [0, "PIZZAHUT", "X", 237, 34, 44, 251, 217, 76, 13, 174, 103, 35, 31, 32],
        [0, "Q8", "F", 248, 217, 39, 235, 42, 46, 49, 52, 145],
        [0, "ROLLING_STONES", "X", 207, 61, 68],
        [0, "SKODA", "X", 2, 176, 53],
        [0, "SKYPE", "X", 0, 159, 220],
        [0, "SUBWAY", "X", 34, 177, 76, 255, 242, 0],
        [0, "SUPERMAN", "X", 255, 0, 0, 255, 255, 0],
        [0, "T-MOBILE", "X", 237, 0, 140, 153, 155, 158],
        [0, "TESLA", "X", 227, 25, 55],
        [0, "TNT", "X", 254, 88, 1],
        [0, "TOYOTA", "X", 217, 1, 35],
        [0, "VISA", "X", 27, 29, 116, 229, 151, 3],
        [0, "WINDOWS", "X", 248, 104, 44, 145, 195, 0, 0, 180, 241, 255, 195, 0],
// Prima
        [0, "AJAX", "X", 210, 18, 46],
        [0, "APPLE", "C", 97, 187, 70, 253, 184, 39, 245, 130, 31, 224, 58, 62, 150, 61, 151, 0, 157, 220],
        [0, "AUDI", "A", 244, 9, 9],
        [0, "BMW", "A", 83, 170, 223],
        [0, "BP", "F", 2, 153, 2, 155, 203, 3, 254, 253, 2],
        [0, "BUDGET", "T", 0, 68, 139, 250, 105, 0],
        [0, "BURGER_KING", "F", 237, 51, 56, 255, 191, 42, 0, 110, 178],
        [0, "COCA_COLA", "F", 227, 32, 42],
        [0, "DHL", "X", 212, 5, 17, 255, 204, 0],
        [0, "DOVE", "X", 0, 55, 119, 154, 132, 74],
        [0, "DPD", "X", 228, 29, 45],
        [0, "EBAY", "X", 229, 50, 56, 0, 100, 210, 245, 175, 2, 134, 184, 23],
        [0, "ESSO", "F", 14, 82, 165, 218, 0, 19],
        [0, "FACEBOOK", "I", 61, 90, 152],
        [0, "GENERAL_ELECTRIC", "X", 58, 115, 184],
        [0, "GLS", "X", 254, 190, 16, 0, 72, 150],
        [0, "HEINEKEN", "X", 0, 152, 74, 237, 26, 34, 35, 31, 32],
        [0, "HP", "C", 34, 67, 144],
        [0, "IBM", "C", 35, 118, 188],
        [0, "IKEA", "C", 0, 51, 153, 255, 204, 0],
        [0, "INTEL", "X", 18, 124, 193],
        [0, "KLM", "X", 0, 161, 228],
        [0, "LEGO", "X", 254, 0, 0, 255, 250, 1],
        [0, "McDONALD'S", "X", 255, 195, 0],
        [0, "PHILIPS", "X", 10, 94, 216],
        [0, "RENAULT", "X", 249, 183, 1],
        [0, "SAMSUNG", "F", 3, 78, 162],
        [0, "SHELL", "F", 255, 213, 0, 237, 28, 36],
        [0, "STARBUCKS", "X", 1, 113, 67],
        [0, "TEXACO", "F", 219, 38, 31],
        [0, "TWITTER", "I", 94, 169, 221],
        [0, "UPS", "X", 231, 150, 40, 69, 34, 8],
        [0, "VIRGIN", "X", 204, 0, 1],
        [0, "VOLKSWAGEN", "X", 12, 56, 121],
        [0, "VOLVO", "X", 23, 26, 133],
//////////////////
        [0, "7_ELEVEN", "X", 0, 128, 97, 237, 27, 45, 245, 130, 31],
        [0, "7_UP", "X", 224, 3, 35, 23, 90, 49],
        [0, "ALFA_ROMEO", "X", 224, 191, 44, 45, 67, 137, 80, 163, 220, 157, 15, 23, 20, 109, 46],
        [0, "ANDROID", "X", 164, 202, 56],
        [0, "AOL", "X", 113, 1, 190],
        [0, "BARBIE", "X", 254, 25, 229],
        [0, "FIAT", "X", 208, 29, 90],
        [0, "LEVI'S", "K", 164, 7, 22],
        [0, "MAZDA", "X", 21, 130, 187],
    ];
    logo_data_maximum = logo_data.length;
    logo_data_target = 5;
}

function logoDataReset() {
    "use strict";
    var index;

    logo_data_correct = 0;
    logo_data_tries = 0;
}
