﻿var ui_logo_button_background_pressed = "lime";
var ui_logo_button_background_wrong = "red";
var ui_logo_button_background_released = "white";
var ui_logo_height = 0;
var ui_logo_height_upper_part = 0;

function logoUiInit() {
    "use strict";
    var i;
    var upper_part = Math.floor(0.35 * ui_height);
    ui_logo_height_upper_part = upper_part;
    var bar_part = Math.floor(0.01 * ui_height);
    var lower_part = ui_height - upper_part - bar_part;
    var spacing = Math.floor(lower_part / ((3 * logo_button_maximum) + 1));
    var margin_logo = Math.floor(0.045 * upper_part);
    document.getElementById("id_logo_background").style.top = "0px";
    document.getElementById("id_logo_background").style.height = upper_part + "px";
    document.getElementById("id_logo_background").style.width = ui_width + "px";
    document.getElementById("id_logo_ok").style.top = upper_part + "px";
    document.getElementById("id_logo_buttons_background").style.height = lower_part + "px";
    document.getElementById("id_logo_buttons_background").style.top = (upper_part + bar_part) + "px";
    document.getElementById("id_logo_buttons_background").style.width = ui_width + "px";
    for (i = 0; i < logo_button_maximum; i += 1) {
        document.getElementById("id_logo_button" + i).style.width = (0.85 * ui_width) + "px";
        document.getElementById("id_logo_button" + i).style.height = (2 * spacing) + "px";
        document.getElementById("id_logo_button" + i).style.fontSize = (spacing) + "px";
        document.getElementById("id_logo_button" + i).style.backgroundColor = ui_logo_button_background_released;
        document.getElementById("id_logo_button" + i).style.marginTop = (0.07 * lower_part) + "px";
    }
    document.getElementById("id_logo_picture").style.marginBottom = margin_logo + "px";
    document.getElementById("id_logo_picture").style.marginTop = margin_logo + "px";
    ui_logo_height = upper_part - 2 * margin_logo;
    document.getElementById("id_logo_picture").style.height = ui_logo_height + "px";
    document.getElementById("id_score").style.fontSize = (0.1 * ui_height) + "px";
    document.getElementById("id_button_start").style.width = (0.7 * ui_width) + "px";
    document.getElementById("id_button_start").style.height = (0.3 * ui_height) + "px";
    document.getElementById("id_button_start").style.fontSize = (0.08 * ui_height) + "px";

    document.getElementById("id_button_buy").style.width = (0.15 * ui_height) + "px";
    document.getElementById("id_button_buy").style.height = (0.15 * ui_height) + "px";
}